AccelerationConstants
Keywords: wiiremotej.AccelerationConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class AccelerationConstants

    java.lang.Object
      wiiremotej.AccelerationConstants

    public class AccelerationConstants

extends java.lang.Object

Contains acceleration constants for use in WRAccelerationEvents. Immutable.

Constructor Summary
`AccelerationConstants(double xZero, double yZero, double zZero, double xOne, double yOne, double zOne)` Creates a new AccelerationConstants with the given acceleration constants.

Method Summary
`double` | `xOne()` Returns xOne.
`double` | `xZero()` Returns xZero.
`double` | `yOne()` Returns yOne.
`double` | `yZero()` Returns yZero.
`double` | `zOne()` Returns zOne.
`double` | `zZero()` Returns zZero.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccelerationConstants

    public AccelerationConstants(double xZero,
                                 double yZero,
                                 double zZero,
                                 double xOne,
                                 double yOne,
                                 double zOne)

  Creates a new AccelerationConstants with the given acceleration constants.

  Parameters:
    `xZero` - zero-point for X-Acceleration.
    `yZero` - zero-point for Y-Acceleration.
    `zZero` - zero-point for Z-Acceleration.
    `xOne` - one G for X-Acceleration.
    `yOne` - one G for Y-Acceleration.
    `zOne` - one G for Z-Acceleration.

Method Detail

### xZero

    public double xZero()

  Returns xZero.

  Returns:
    xZero.

### yZero

    public double yZero()

  Returns yZero.

  Returns:
    yZero.

### zZero

    public double zZero()

  Returns zZero.

  Returns:
    zZero.

### xOne

    public double xOne()

  Returns xOne.

  Returns:
    xOne.

### yOne

    public double yOne()

  Returns yOne.

  Returns:
    yOne.

### zOne

    public double zOne()

  Returns zOne.

  Returns:
    zOne.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD